CWST Time Now
CWST is the abbreviation of Central Western Standard Time (Australia). Time zone offset of CWST is UTC+08:45. Central Western Standard Time (Australia) is 8 hours 45 minutes ahead from the UTC universal time. CWST current date is 16th Friday October 2026. Current time in CWST (CWST).
CWST Time
CWST is the abbreviation used for referring to Central Western Standard Time (Australia). It is a kind of unofficial times standard used in some territories of southeastern Western Australia state. Central Western Standard Time (Australia) is 8 hours 45 minutes ahead of the UTC universal time, and it is effective specifically in such towns as Caiguna, Mundrabilla, Madura, Eucla, and some others.
What time is it in Central Western Standard Time (Australia) now? It is 18:29:15 right now.
Central Western Standard Time (Australia) Date and Time Now in Various Formats
| Date Time Format | CWST Date Time Now |
|---|---|
| UTC | 2026-10-16T18:29:15Z |
| ISO-8601 | 2026-10-16T18:29:15+0000 |
| RFC 2822 | Fri, 16 Oct 2026 18:29:15 +0000 |
| RFC 850 | Friday, 16-Oct-26 18:29:15 UTC |
| RFC 1036 | Fri, 16 Oct 26 18:29:15 +0000 |
| RFC 1123 | Fri, 16 Oct 2026 18:29:15 +0000 |
| RFC 822 | Fri, 16 Oct 26 18:29:15 +0000 |
| RFC 3339 | 2026-10-16T18:29:15+00:00 |
| ATOM | 2026-10-16T18:29:15+00:00 |
| COOKIE | Friday, 16-Oct-2026 18:29:15 UTC |
| RSS | Fri, 16 Oct 2026 18:29:15 +0000 |
| W3C | 2026-10-16T18:29:15+00:00 |
| Unix Epoch | 1792175355 |
| YYYY-DD-MM HH:MM:SS | 2026-16-10 18:29:15 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-16-10 06:29:15 PM |
| DD-MM-YYYY HH:MM:SS | 16-10-2026 18:29:15 |
| MM-DD-YYYY HH:MM:SS | 10-16-2026 18:29:15 |